CreateL2VlanNetwork
CreateL2VlanNetwork
POST
/zstack/v1/l2-networks/vlanOperation ID
CreateL2VlanNetworkSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonBody Fields
paramsObjectRequiredRequest body parameter object.
vlanIntegerRequiredThe VLAN.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
zoneUuidStringRequiredThe zone UUID.
physicalInterfaceStringRequiredThe physical interface.
typeStringOptional.
vSwitchTypeStringOptional. The type of the vSwitch.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The Uuid tags list.
solatedBooleanRequiredThe solated.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
